Tasmim Inspire logoapiatlas.Explore all APIs
API ATLAS DIRECTORY · GEOCODING

REST Countries

Get information about countries via a RESTful API

Category
Geocoding
Authentication
No authentication listed
HTTPS
Yes
CORS
Yes
Official provider documentation Report a broken link
OPTIONAL · NO-KEY SAMPLE REQUEST

Start with a working example

These sample requests use a curated public GET endpoint. Provider access, rate limits, and availability can change.

JavaScript Fetch
JavaScript Fetch
const response = await fetch("https://restcountries.com/v3.1/name/pakistan?fields=name,capital,population,flags", {
  headers: { Accept: 'application/json' },
});
if (!response.ok) throw new Error(`HTTP ${response.status}`);
const data = await response.json();
console.log(data);
PHP with cURL
PHP with cURL
<?php

$url = 'https://restcountries.com/v3.1/name/pakistan?fields=name,capital,population,flags';
$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_TIMEOUT => 15,
    CURLOPT_HTTPHEADER => ['Accept: application/json'],
]);
$response = curl_exec($ch);
if ($response === false) {
    $error = curl_error($ch);
    curl_close($ch);
    throw new RuntimeException($error);
}
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
curl_close($ch);
if ($status >= 400) throw new RuntimeException("HTTP {$status}");
$data = json_decode($response, true, 512, JSON_THROW_ON_ERROR);
print_r($data);
Command line cURL
Command line cURL
curl --fail --silent --show-error --get 'https://restcountries.com/v3.1/name/pakistan?fields=name,capital,population,flags'

The PHP example requires PHP and the cURL extension. No secret key is included or sent to API Atlas.

KEEP EXPLORING

More in Geocoding

GeocodingIPstack

Locate and identify website visitors by IP address

View API page
Geocodingipapi.com

Real-time Geolocation & Reverse IP Lookup REST API

View API page
GeocodingActinia Grass GIS

Actinia is an open source REST API for geographical data that uses GRASS GIS

View API page
Geocodingadministrative-divisons-db

Get all administrative divisions of a country

View API page
GeocodingApogeoAPI

Bundled API for countries, states, cities, IP geolocation, and live exchange rates

View API page
Geocodingadresse.data.gouv.fr

Address database of France, geocoding and reverse

View API page